Bug 21634 - "Circulation" option is lost when viewing patron's logs
Summary: "Circulation" option is lost when viewing patron's logs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21242
  Show dependency treegraph
 
Reported: 2018-10-23 13:14 UTC by Jonathan Druart
Modified: 2018-11-28 12:43 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21634: Keep "circulation" module selected when viewing patron's logs (2.20 KB, patch)
2018-10-23 13:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21634: Keep "circulation" module selected when viewing patron's logs (2.20 KB, patch)
2018-10-26 19:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21634: Keep "circulation" module selected when viewing patron's logs (2.26 KB, patch)
2018-10-26 19:23 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21634: Keep "circulation" module selected when viewing patron's logs (2.32 KB, patch)
2018-10-28 11:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-23 13:14:14 UTC
To recreate:
- View a patron detail page
- Click "Modification log"
- Notice that the url has "modules=MEMBERS&modules=circulation", but the "Circulation" option is not selected in the "Modules" dropdown list.
This is because of uppercase vs lowercase.

The bug:
- Right after you click "Modification log" you will see all the "members" and "circulation" logs
- Submit the form without changing any input/select from the form
=> Now you only see the "members" logs.
Comment 1 Jonathan Druart 2018-10-23 13:17:32 UTC
Created attachment 81023 [details] [review]
Bug 21634: Keep "circulation" module selected when viewing patron's logs

To recreate:
- View a patron detail page
- Click "Modification log"
- Notice that the url has "modules=MEMBERS&modules=circulation", but
the "Circulation" option is not selected in the "Modules" dropdown list.
This is because of uppercase vs lowercase.

The bug:
- Right after you click "Modification log" you will see all the
"members" and "circulation" logs
- Submit the form without changing any input/select from the form
=> Now you only see the "members" logs.

Test plan:
- Apply the patch
- Click "Modification log"
- Notice that the url now contains "modules=MEMBERS&modules=CIRCULATION"
- Submit the form without changing any input/select from the form
=> Now you have the "members" and "circulation" modules selected.
Comment 2 Pierre-Marc Thibault 2018-10-26 19:01:03 UTC
There is a conflict when the patch is applied. A rebase is necessary.
Comment 3 Jonathan Druart 2018-10-26 19:08:42 UTC
Created attachment 81335 [details] [review]
Bug 21634: Keep "circulation" module selected when viewing patron's logs

To recreate:
- View a patron detail page
- Click "Modification log"
- Notice that the url has "modules=MEMBERS&modules=circulation", but
the "Circulation" option is not selected in the "Modules" dropdown list.
This is because of uppercase vs lowercase.

The bug:
- Right after you click "Modification log" you will see all the
"members" and "circulation" logs
- Submit the form without changing any input/select from the form
=> Now you only see the "members" logs.

Test plan:
- Apply the patch
- Click "Modification log"
- Notice that the url now contains "modules=MEMBERS&modules=CIRCULATION"
- Submit the form without changing any input/select from the form
=> Now you have the "members" and "circulation" modules selected.
Comment 4 Pierre-Marc Thibault 2018-10-26 19:23:33 UTC
Created attachment 81336 [details] [review]
Bug 21634: Keep "circulation" module selected when viewing patron's logs

To recreate:
- View a patron detail page
- Click "Modification log"
- Notice that the url has "modules=MEMBERS&modules=circulation", but
the "Circulation" option is not selected in the "Modules" dropdown list.
This is because of uppercase vs lowercase.

The bug:
- Right after you click "Modification log" you will see all the
"members" and "circulation" logs
- Submit the form without changing any input/select from the form
=> Now you only see the "members" logs.

Test plan:
- Apply the patch
- Click "Modification log"
- Notice that the url now contains "modules=MEMBERS&modules=CIRCULATION"
- Submit the form without changing any input/select from the form
=> Now you have the "members" and "circulation" modules selected.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 5 Katrin Fischer 2018-10-28 11:52:52 UTC
Created attachment 81401 [details] [review]
Bug 21634: Keep "circulation" module selected when viewing patron's logs

To recreate:
- View a patron detail page
- Click "Modification log"
- Notice that the url has "modules=MEMBERS&amp;modules=circulation", but
the "Circulation" option is not selected in the "Modules" dropdown list.
This is because of uppercase vs lowercase.

The bug:
- Right after you click "Modification log" you will see all the
"members" and "circulation" logs
- Submit the form without changing any input/select from the form
=> Now you only see the "members" logs.

Test plan:
- Apply the patch
- Click "Modification log"
- Notice that the url now contains "modules=MEMBERS&amp;modules=CIRCULATION"
- Submit the form without changing any input/select from the form
=> Now you have the "members" and "circulation" modules selected.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2018-10-29 01:20:08 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-11-08 15:50:40 UTC
Pushed to 18.05.x for 18.05.06
Comment 8 Fridolin SOMERS 2018-11-28 12:43:49 UTC
Pushed to 17.11.x for 17.11.13